Name:           calf
Summary:        Pack of multi-standard audio plugins for LV2 and host for JACK
Version:        0.90.6
Release:        %mkrel 1
License:        GPLv2
Group:          Sound/Midi
URL:            https://calf-studio-gear.org/
Source0:        http://github.com/calf-studio-gear/calf/archive/%{version}/calf-%{version}.tar.gz
ExcludeArch:    %{arm32}

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(jack) >= 1.9.20
BuildRequires:  pkgconfig(lv2) >= 1.12.0
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(fluidsynth)
Requires:       redland
Requires:       lv2 >= 1.12.0
Requires:       fluidsynth

%description
Calf is a pack of audio plugins for the LV2 interface.
- Instruments and tone generators (Organ, Monosynth, Wavetable,
Fluidsynth)
- Modulation effects (Multi Chorus, Phaser, Flanger, Rotary, Pulsator,
Ring Modulator)
- Delay effects (Reverb, Vintage Delay,Compensation Delay Line,
Reverse Delay)
- Dynamic processors (Compressor, Sidechain Compressor, Multiband
Compressor, Mono Compressor, Deesser, Gate, Sidechain Gate,
Multiband Gate, Limiter, Multiband Limiter, Sidechain Limiter,
Transient Designer)
- Filters and equalizers (Filter, Filterclavier, Envelope Filter,
Equalizer 5 Band, Equalizer 8 Band, Equalizer 12 Band,
Equalizer 30 Band, Vocoder, Emphasis)
- Distortion and enhancement (Saturator, Exciter, Bass Enhancer,
Tape Simulator, Vinyl, Crusher)
- Tools (Mono Input, Stereo Tools, Haas Stereo Enhancer, Multi Spread,
Analyzer, X-Over 2 Band, X-Over 3 Band, X-Over 4 Band)

The plugins are available in LV2 and Standalone JACK formats.

This package contains common files and JACK standalone program.

%package -n lv2-%{name}-plugins
Summary:        Calf plugins in LV2 format
Group:          Sound/Midi
License:        GPLv2+ and LGPLv2+ and Public Domain
Requires:       %{name} = %{version}-%{release}

%description -n lv2-%{name}-plugins
Calf is a pack of audio plugins for the LV2 interface.
- Instruments and tone generators (Organ, Monosynth, Wavetable,
Fluidsynth)
- Modulation effects (Multi Chorus, Phaser, Flanger, Rotary, Pulsator,
Ring Modulator)
- Delay effects (Reverb, Vintage Delay,Compensation Delay Line,
Reverse Delay)
- Dynamic processors (Compressor, Sidechain Compressor, Multiband
Compressor, Mono Compressor, Deesser, Gate, Sidechain Gate,
Multiband Gate, Limiter, Multiband Limiter, Sidechain Limiter,
Transient Designer)
- Filters and equalizers (Filter, Filterclavier, Envelope Filter,
Equalizer 5 Band, Equalizer 8 Band, Equalizer 12 Band,
Equalizer 30 Band, Vocoder, Emphasis)
- Distortion and enhancement (Saturator, Exciter, Bass Enhancer,
Tape Simulator, Vinyl, Crusher)
- Tools (Mono Input, Stereo Tools, Haas Stereo Enhancer, Multi Spread,
Analyzer, X-Over 2 Band, X-Over 3 Band, X-Over 4 Band)

This package contains LV2 synthesizers and effects, MIDI I/O and GUI
extensions.

%prep
%autosetup -p1

# autotools is deprecated in favour of cmake but isn't ready for prime time yet. -GC 2025-03-24
mv configure.ac.deprecated configure.ac

%build
export NOCONFIGURE=1
./autogen.sh

%configure --with-lv2-dir=%{_libdir}/lv2 \
           --enable-static=false \
           --libdir=%{_libdir} \
           --without-lash \
           --without-obsolete-check \
%ifarch x86_64 %{ix86}
           --enable-sse \
%endif
           --enable-experimental=yes
%make_build

%install
%make_install

# JACK host
desktop-file-install \
     --remove-category="Application" \
     --remove-category="GNOME" \
     --add-category="X-Midi" \
     --add-category="X-Mageia-CrossDesktop" \
     --remove-key="Version" \
     --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%files
%doc README.md AUTHORS
%license COPYING
%doc %{_docdir}/%{name}/*
%{_bindir}/%{name}jackhost
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}.so
%{_libdir}/%{name}/libcalflv2gui.so

%{_datadir}/%{name}/

%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}_plugin.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/apps/%{name}_plugin.svg

%{_mandir}/man1/%{name}jackhost.1.*
%{_mandir}/man7/%{name}.7.*

%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}

%files -n lv2-%{name}-plugins
%{_libdir}/lv2/%{name}.lv2/


%changelog
* Sat Apr 05 2025 daviddavid <daviddavid> 0.90.6-1.mga10
+ Revision: 2173589
- new version: 0.90.6

* Sun Mar 30 2025 daviddavid <daviddavid> 0.90.5-4.mga10
+ Revision: 2171899
- rebuild for armv7

* Sun Mar 30 2025 daviddavid <daviddavid> 0.90.5-3.mga10
+ Revision: 2171861
- try another build fix using -mssse3 compile flag

* Sun Mar 30 2025 daviddavid <daviddavid> 0.90.5-2.mga10
+ Revision: 2171645
- fix armv7 build: https://github.com/calf-studio-gear/calf/issues/373

* Thu Mar 27 2025 daviddavid <daviddavid> 0.90.5-1.mga10
+ Revision: 2170368
- new version: 0.90.5

* Thu Nov 21 2024 daviddavid <daviddavid> 0.90.4-1.mga10
+ Revision: 2118086
- new version: 0.90.4

* Thu Oct 10 2024 daviddavid <daviddavid> 0.90.3-6.mga10
+ Revision: 2104544
- rebuild against jack
- own lib dir

* Wed Dec 14 2022 philippedidier <philippedidier> 0.90.3-5.mga9
+ Revision: 1922149
- rebuild for new lv2

* Fri Apr 01 2022 umeabot <umeabot> 0.90.3-4.mga9
+ Revision: 1839266
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 0.90.3-3.mga9
+ Revision: 1739409
- rebuild for fluidsynth

* Sat Feb 15 2020 umeabot <umeabot> 0.90.3-2.mga8
+ Revision: 1528532
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 23 2019 daviddavid <daviddavid> 0.90.3-1.mga8
+ Revision: 1431469
- new version: 0.90.3

* Mon Jan 14 2019 luigiwalser <luigiwalser> 0.90.1-2.mga7
+ Revision: 1356909
- add upstream patch to fix build with fluidsynth 2.0.x
- rebuild for fluidsynth

* Fri Jan 04 2019 daviddavid <daviddavid> 0.90.1-1.mga7
+ Revision: 1349007
- new version: 0.90.1

* Sat Sep 22 2018 umeabot <umeabot> 0.90.0-3.mga7
+ Revision: 1295907
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 semiletov <semiletov> 0.90.0-2.mga7
+ Revision: 1204760
- description updated

* Mon Nov 06 2017 barjac <barjac> 0.90.0-1.mga7
+ Revision: 1176317
- new version 0.90.0
- removed patch not required
- fix files list

* Mon Sep 25 2017 cjw <cjw> 0.0.60-3.mga7
+ Revision: 1159788
- patch1: fix build with gcc 7

* Sun Jan 17 2016 daviddavid <daviddavid> 0.0.60-2.mga6
+ Revision: 924873
- switch to %%configure2_5x to fix build

* Fri Oct 23 2015 barjac <barjac> 0.0.60-1.mga6
+ Revision: 894701
- new version 0.0.60
- changed URL

* Thu Oct 22 2015 danf <danf> 0.0.19-9.mga6
+ Revision: 894127
- Fixed build by packaging doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.0.19-8.mga5
+ Revision: 747188
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.0.19-7.mga5
+ Revision: 693559
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.0.19-6.mga5
+ Revision: 678296
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.0.19-5.mga5
+ Revision: 669734
- rebuild for lv2-1.10.0

* Thu May 08 2014 barjac <barjac> 0.0.19-4.mga5
+ Revision: 621146
- rebuild against lv2-1.8.0

* Fri Oct 18 2013 umeabot <umeabot> 0.0.19-3.mga4
+ Revision: 522316
- Mageia 4 Mass Rebuild

* Tue Feb 19 2013 barjac <barjac> 0.0.19-2.mga3
+ Revision: 399280
- remove un-needed require in sub-package
- remove un-needed /* in files
- lv2 provides lv2core, but Requires should now be lv2

* Mon Feb 18 2013 barjac <barjac> 0.0.19-1.mga3
+ Revision: 399097
- Corrected group in sub-package
- With thanks to Mandriva,  adapted by Philippe Didier

